Package org.eclipse.draw2d

# Interface ColorProvider

All Known Implementing Classes:
  `BasicColorProvider`

public interface ColorProvider
A collection of color-related constants.

Since:
  3.13

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ColorProvider.SystemColorFactory`

## Method Summary

Modifier and Type
Method
Description
`Color`
`getButton()`
`Color`
`getButtonDarker()`
`Color`
`getButtonDarkest()`
`Color`
`getButtonLightest()`
`Color`
`getLineForeground()`
`Color`
`getListBackground()`
`Color`
`getListForeground()`
`Color`
`getListHoverBackgroundColor()`
`Color`
`getListSelectedBackgroundColor()`
`Color`
`getMenuBackground()`
`Color`
`getMenuBackgroundSelected()`
`Color`
`getMenuForeground()`
`Color`
`getMenuForegroundSelected()`
`Color`
`getTitleBackground()`
`Color`
`getTitleForeground()`
`Color`
`getTitleGradient()`
`Color`
`getTitleInactiveBackground()`
`Color`
`getTitleInactiveForeground()`
`Color`
`getTitleInactiveGradient()`
`Color`
`getTooltipBackground()`
`Color`
`getTooltipForeground()`

## Method Details

### getButtonLightest

Color getButtonLightest()

### getButton

Color getButton()

### getButtonDarker

Color getButtonDarker()

### getButtonDarkest

Color getButtonDarkest()

### getListBackground

Color getListBackground()

### getListForeground

Color getListForeground()

### getLineForeground

Color getLineForeground()

### getMenuBackground

Color getMenuBackground()

### getMenuForeground

Color getMenuForeground()

### getMenuBackgroundSelected

Color getMenuBackgroundSelected()

### getMenuForegroundSelected

Color getMenuForegroundSelected()

### getTitleBackground

Color getTitleBackground()

### getTitleGradient

Color getTitleGradient()

### getTitleForeground

Color getTitleForeground()

### getTitleInactiveForeground

Color getTitleInactiveForeground()

### getTitleInactiveBackground

Color getTitleInactiveBackground()

### getTitleInactiveGradient

Color getTitleInactiveGradient()

### getTooltipForeground

Color getTooltipForeground()

### getTooltipBackground

Color getTooltipBackground()

### getListHoverBackgroundColor

Color getListHoverBackgroundColor()

### getListSelectedBackgroundColor

Color getListSelectedBackgroundColor()